Page 1 of 1

Problem after upgrading Integration Edition

Posted: Sun Nov 15, 2020 2:04 pm
by mueller@mat-it.de
Hello,
I am running Debian Buster with the official OnlyOffice Repository in apt.sources and used a working installation of Only Office Integration Edition 5.4. I then used apt to dist-upgrade OnlyOffice to 6.0.2-5.

Code: Select all

dpkg -l | grep "only"
ii  onlyoffice-documentserver-ie          6.0.2-5                           amd64        Document Server is an open-source office suite that includes
After upgrading the document server (via supervisorctl) is not starting any more. Bcause of this Nginx is throwwing me upstream connect errors to :8000. The port is also not used in netstat.

In the /var/log/onlyoffice/documentserver/docservice/err.log I can see the following error:

Code: Select all

Error: Configuration property "queue.type" is not defined
    at Config.get (/snapshot/server/build/server/Common/node_modules/config/lib/config.js:203:11)
    at Object.<anonymous> (/snapshot/server/build/server/Common/sources/taskqueueRabbitMQ.js:0:0)
    ...
I was not able to determine where it comes from. Furthermore I cannot found any documentation for Only Office Integration Edition.

Does anyone know where this property belongs to and how to solve the error?

Regards
Markus

Re: Problem after upgrading Integration Edition

Posted: Sun Nov 15, 2020 3:37 pm
by Carl
Hello Markus,

Please try to remove the onlyoffice-documentserver-ie package and install onlyoffice-documentserver-ee instead following this guide:
https://helpcenter.onlyoffice.com/insta ... buntu.aspx